# Docker Compose Repo for Meetling and Jitsi Admin


## Installation of Jitsi Admin
Use the root user to setup docker and Jitsi Admin
```sh
su root
```

To use the setup script for docker-compose, run the following commands.
```sh
wget https://git.h2-invent.com/Meetling/Docker-Compose/raw/branch/main/setup.sh
bash setup.sh
rm setup.sh
```


## Run Docker Compose
```sh
cd /opt/jitsi-admin && docker-compose up -d
```


## Final Result
Following final Result should be printed from the docker-compose command:
```sh
# docker-compose up -d
Creating network "jitsi-admin_external" with the default driver
Creating network "jitsi-admin_internal" with the default driver
Creating jitsi-admin_traefik-ja_1   ... done
Creating jitsi-admin_db-ja_1        ... done
Creating jitsi-admin_websocket-ja_1 ... done
Creating jitsi-admin_app-ja_1       ... done
Creating jitsi-admin_keycloak-ja_1  ... done
```

